import * as dotenv from 'dotenv';


dotenv.config();

export const checkAdminPrivileges = (password: string) => {
	return password == process.env.ADMIN_CREDENTIAL;
}

export const checkMemberPrivileges = (password: string) => {
	return password == process.env.MEMBER_CREDENTIAL;
}

export const checkManagementPrivileges = (password: string) => {
	return password == process.env.MANAGEMENT_CREDENTIAL;
}

export const hasAccess = (calendarName: string, password: string) => {
	switch (calendarName) {
		case 'public':
			return true;
		case 'members':
			return checkMemberPrivileges(password);
		case 'management':
			return checkManagementPrivileges(password);
		default:
			return false;
	}
}
